Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.blojsom.blog
Interface Pingback

All Superinterfaces:
  Response, Trackback

All Known Implementing Classes:
  DatabasePingback

public interface Pingback
extends Trackback

Pingback

Since:
  blojsom 3.0
Version:
  $Id: Pingback.java,v 1.2 2006/03/25 07:10:41 czarneckid Exp $
Author:
  David Czarnecki

Field Summary

Fields inherited from interface org.blojsom.blog.Response
`COMMENT_TYPE, PINGBACK_TYPE, TRACKBACK_TYPE`

Method Summary
`java.lang.String` | `getSourceURI()` Get the source URI
`java.lang.String` | `getTargetURI()` Get the target URI
`void` | `setSourceURI(java.lang.String sourceURI)` Set the source URI
`void` | `setTargetURI(java.lang.String targetURI)` Set the target URI

Methods inherited from interface org.blojsom.blog.Trackback
`getBlogEntryId, getBlogId, getBlogName, getDateAsFormat, getDateAsFormat, getEntry, getExcerpt, getId, getMetaData, getTitle, getTrackbackDate, getUrl, setBlogEntryId, setBlogId, setBlogName, setEntry, setExcerpt, setId, setMetaData, setTitle, setTrackbackDate, setUrl`

Methods inherited from interface org.blojsom.blog.Response
`getDate, getIp, getStatus, getType, setIp, setStatus`

Method Detail

### getSourceURI

    public java.lang.String getSourceURI()

  Get the source URI

  Returns:
    Source URI

### setSourceURI

    public void setSourceURI(java.lang.String sourceURI)

  Set the source URI

  Parameters:
    `sourceURI` - Source URI

### getTargetURI

    public java.lang.String getTargetURI()

  Get the target URI

  Returns:
    Target URI

### setTargetURI

    public void setTargetURI(java.lang.String targetURI)

  Set the target URI

  Parameters:
    `targetURI` - Target URI

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD